From 392fbc6669013a5c3748a35564ac6acdf4f180a6 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 04 2020 02:14:17 +0000
Subject: [PATCH 1244/2232] Add test of unsorted nested structs


---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index af8a9f5..9ea3450 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -277,6 +277,27 @@ pub mod ffi {
         #[cxx_name = "rAliasedFunction"]
         fn r_aliased_function(x: i32) -> String;
     }
+
+    struct Dag0 {
+        i: i32,
+    }
+
+    struct Dag1 {
+        dag2: Dag2,
+        vec: Vec<Dag3>,
+    }
+
+    struct Dag2 {
+        dag4: Dag4,
+    }
+
+    struct Dag3 {
+        dag1: Dag1,
+    }
+
+    struct Dag4 {
+        dag0: Dag0,
+    }
 }
 
 pub type R = usize;

